Subject: Re: bug#76399: [PATCH] Change 'fullscreen' references to 'maximized'

From: Ship Mints <[email-masked]>
Date: Wed, 19 Feb 2025 12:32:06 -0500

I tried to tease out the history and I'm glad you have a good memory.

If the fullscreen alias is to be maintained, should we correct the rest of
the code that doesn't support it?

On Wed, Feb 19, 2025 at 12:29 PM martin rudalics <[email-masked]> wrote:

>  >> In frame.el's toggle-frame-fullscreen and toggle-frame-maximized,
> these look like either typos, or vestigial
>  >> references.  The frame-parameter fullscreen is never set to
> 'fullscreen nor is the value 'fullscreen used in
>  >> other places in Emacs.  It is an undocumented value, appearing
> nowhere.  Unless I missed something.
> [---]
>  > Martin, any comments?
>
> I can only speculate.  Jan changed the semantics in 2009 so the previous
> 'fullscreen' became 'maximized' or 'fullboth' - I don't remember which.
> For compatibility sake, he kept 'fullscreen' around since people might
> have had (and maybe still have) it in their init files.  It's no more
> documented to avoid that people start using it.
>
> In either case 'fullscreen' still is a valid substitute for 'fullboth'.
> Try with
>
> (set-frame-parameter nil 'fullscreen 'fullscreen)
>
> martin
>